// service
export const SERVICE_NAME = 'auth';

// grpc
export const GRPC_AUTHENTICATION_PACKAGE_NAME = 'authentication';
export const GRPC_AUTHORIZATION_PACKAGE_NAME = 'authorization';
export const GRPC_AUTHENTICATION_SERVICE_NAME = 'AuthenticationService';
export const GRPC_AUTHORIZATION_SERVICE_NAME = 'AuthorizationService';

// messaging
export const USER_UPDATED_MESSAGE_HANDLER = 'userUpdated';
export const USER_UPDATED_ROUTING_KEY = 'user.updated';
export const USER_UPDATED_QUEUE = 'auth-user-updated';
export const USER_DELETED_MESSAGE_HANDLER = 'userDeleted';
export const USER_DELETED_ROUTING_KEY = 'user.deleted';
export const USER_DELETED_QUEUE = 'auth-user-deleted';

// health
export const GRPC_HEALTH_PACKAGE_NAME = 'health';
export const HEALTH_AUTHENTICATION_REPOSITORY = 'AuthenticationRepository';
export const HEALTH_USERNAME_REPOSITORY = 'UsernameRepository';
export const HEALTH_CRITICAL_LOGGING_KEY = 'logging.auth.health.crit';
